Bug 2872 - wrong encoding for apropos output
: wrong encoding for apropos output
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-24 21:46 by
Modified: 2005-08-29 05:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-24 21:46:57
В локали ru_RU.CP1251 строки соответствующие русским manpage отображаются в 
неверной кодировке (KOI8-R) т.е. в виде "БНОПНЯ":

vlad@localhost ~ $ apropos  socket |grep ФПЮ
socket               (2)  - УПЪДБФШ ПЛПОЕЮОХА ФПЮЛХ ЛПННХОЙЛБГЙЙ

Соответственно не работает поиск по русским словам.

Стоят пакеты

$ rpm -qa |grep -E '(^man|groff)'  |sort
groff-base-1.18.1-alt6
groff-dvi-1.18.1-alt6
groff-extra-1.18.1-alt6
groff-ps-1.18.1-alt6
groff-x11-1.18.1-alt6
man-1.5k-alt3
man-pages-1.56-alt2
man-pages-ru-0.7-alt26
------- Comment #1 From 2004-05-28 17:13:07 -------
fixed in man-1.5m2-alt2